Subject: Re: [alto] How many PIDs in an ALTO server?

From: Richard Alimi <[email-masked]>
Date: Mon, 24 Oct 2011 09:37:46 -0700

On Mon, Sep 26, 2011 at 9:54 AM, Sebastian Kiesel <[email-masked]> wrote:
>> I agree that the quality of information (and whether
>> the ALTO Server provides certain cost types for addresses outside of
>> its administrative domain) is going to vary depending on many factors.
>
>
> Let me rephrase my original point:
>
> If an ALTO client in an application running at the resource consumer
> asks its ISP's ALTO server for guidance related to its own topological
> location, the answer will be a (Mx1)-matrix (Vector).
>
> A tracker, in contrast, would be interested in the (NxN)-matrix.
>
> I'd say that usually M can be much higher than N, with high-quality data.

I'm curious - is the assumption that the tracker wouldn't be
interested in high quality data?

I'll note that I do agree with making the MxM matrix sparse (and
avoiding the communication overhead of the entries where the ISP may
have no idea).

Thanks,
Rich

>
>
>
>
> Of course, the gut feeling "M >> N" does not allow any direct
> conclusion whether tranmission of a (NxN) could become a problem.
>
>> FWIW, I fully expect there to be ALTO Clients out there who will crawl
>> all publicly-available ALTO Servers and do data mining on that
>> aggregated set.  iPlane is an example of gathering data on a global
>> scale without ALTO, and I would imagine that ALTO would only serve as
>> another helpful input.   But that is a separate question from the size
>> of a map of a single ALTO Server.
>
> ACK.
>
>  -- Sebastian
>